Subject: [bug#44900] [PATCH] services: unattended-upgrade: Add 'search-paths' field.

From: Ludovic Courtès <[email-masked]>
Date: Mon, 30 Nov 2020 14:54:42 +0100

Hi!

Lars-Dominik Braun <[email-masked]> skribis:

>> I prefer being explicit here and keep ‘unattended-upgrade-configuration’
>> self-contained (/etc/guix/channels.scm could be modified behind our
>> back).
> Okay, I can see that, but I’d like to use the same list of channels in that
> service and channels.scm. Since creating an etc-service for
> /etc/guix/channels.scm does not work, I was left with the other option, i.e.
> using that file for unattended upgrades. Are there any other options?

I’d say that specifying the ‘channels’ field of
‘unattended-upgrade-configuration’ gives you that, no?

Also, what doesn’t it work to populate /etc/guix/channels.scm via
‘etc-service-type’?

Thanks,
Ludo’.